

textures/spazz_ripwinter/skybox
{
	
	qer_editorimage env/spazz_ripwinter/cloudtop_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	// intensity, degrees, elevation
	//q3map_sunExt 1.0 0.99 0.807 800 180 40 4 32			//adds deviance and samples
	q3map_sunExt 1.0 0.99 0.807 850 180 40 4 32			//adds deviance and samples
	q3map_lightmapFilterRadius 3 16
	q3map_skylight 270 5
	
	skyparms env/spazz_ripwinter/cloudtop 1024 -


}





textures/spazz_ripwinter/electrical
{
cull none
surfaceparm nonsolid
{
          map textures/spazz_ripwinter/electrical.jpg
//rgbGen wave <func> <base> <amp> <phase> <freq>
      rgbGen wave triangle  0.3 0.2 0 5
    blendfunc GL_DST_COLOR GL_ONE
  }


}


textures/spazz_ripwinter/carpet
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	map textures/spazz_ripwinter/carpet.tga
	alphaFunc GE128
//	rgbGen vertex
	depthwrite
}

{
		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}
textures/spazz_ripwinter/obelisk
{
	q3map_backShader  textures/spazz_ripwinter/obelisk_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_vertexScale 2.0
{
	clampmap textures/spazz_ripwinter/obelisk.tga
	alphaFunc GE128
	rgbGen vertex
}
}
textures/spazz_ripwinter/obelisk_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
{
	clampmap textures/spazz_ripwinter/obelisk.tga
	alphaFunc GE128
	rgbGen vertex
}
}


textures/spazz_ripwinter/church
{
	q3map_backShader  textures/spazz_ripwinter/church_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
q3map_vertexScale 4.0
{
	clampmap textures/spazz_ripwinter/church.tga
	alphaFunc GE128
	rgbGen vertex
}
}
textures/spazz_ripwinter/church_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
{
	clampmap textures/spazz_ripwinter/church.tga
	alphaFunc GE128
	rgbGen vertex
}
}
textures/spazz_ripwinter/globe_castle
{
	q3map_backShader  textures/spazz_ripwinter/globe_castle_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
q3map_vertexScale 3.0
{
	clampmap textures/spazz_ripwinter/globe_castle.tga
	alphaFunc GE128
	rgbGen vertex
}
}
textures/spazz_ripwinter/globe_castle_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
{
	clampmap textures/spazz_ripwinter/globe_castle.tga
	alphaFunc GE128
	rgbGen vertex
}
}
textures/spazz_ripwinter/backdrop
{
	q3map_backShader  textures/spazz_ripwinter/backdrop_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
{
	map textures/spazz_ripwinter/backdrop.jpg
	rgbGen vertex
}
}

textures/spazz_ripwinter/backdrop_back
{
q3map_vertexScale 3.0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
{
	map textures/spazz_ripwinter/backdrop.jpg
	rgbGen vertex
}
}


textures/spazz_ripwinter/snow_globe
{
qer_editorimage textures/spazz_ripwinter/snow.jpg
q3map_vertexScale 3.0
{
map textures/spazz_ripwinter/snow.jpg
rgbgen vertex
}

}



textures/spazz_ripwinter/spazz_nodamage
{
	qer_trans 0.10
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
}

textures/spazz_ripwinter/spazz_silent_clip
{
	qer_trans 0.10
	surfaceparm nosteps
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}


textures/spazz_ripwinter/tunnelentrance
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
//polygonOffset	
{
	map textures/spazz_ripwinter/tunnelentrance.tga
	alphaFunc GE128
//	rgbGen vertex
//	depthwrite
}

}

textures/spazz_ripwinter/portcullis
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
//polygonOffset	
{
	map textures/spazz_ripwinter/portcullis.tga
	alphaFunc GE128
	rgbGen vertex
//	depthwrite
}

}


textures/spazz_ripwinter/portcullis_nocull
{
qer_editorimage textures/spazz_ripwinter/portcullis.tga
q3map_backShader  textures/spazz_ripwinter/portcullis_nocull_back
	//decal
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
{
	map textures/spazz_ripwinter/portcullis.tga
	alphaFunc GE128
	rgbGen vertex
}

}
textures/spazz_ripwinter/portcullis_nocull_back
{
	surfaceparm trans
	surfaceparm nomarks
{
	map textures/spazz_ripwinter/portcullis.tga
	alphaFunc GE128
	rgbGen vertex
}

}


textures/spazz_ripwinter/damage1
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	clampmap textures/spazz_ripwinter/damage1.tga
//	alphaFunc GE128
	blendfunc blend
	rgbGen vertex
//	depthwrite
}

//{
//		depthfunc equal
//		map $lightmap
//		blendfunc filter
//	}
}

textures/spazz_ripwinter/splat
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	clampmap textures/spazz_ripwinter/splat.tga
//	alphaFunc GE128
	blendfunc blend
	rgbGen vertex
//	depthwrite
}

//{
//		depthfunc equal
//		map $lightmap
//		blendfunc filter
//	}
}


textures/spazz_ripwinter/flag
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	clampmap textures/spazz_ripwinter/flag.tga
	blendfunc blend
	rgbGen vertex
//	depthwrite
}

}



textures/spazz_ripwinter/damage2
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	clampmap textures/spazz_ripwinter/damage2.tga
	//alphaFunc GE128
	rgbGen vertex
	blendfunc blend
//	depthwrite
}

//{
//		depthfunc equal
//		map $lightmap
//		blendfunc filter
//	}

}


textures/spazz_ripwinter/damage3
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	clampmap textures/spazz_ripwinter/damage3.tga
	blendfunc blend
	rgbGen vertex
}

}
textures/spazz_ripwinter/damage4
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	map textures/spazz_ripwinter/damage4.tga
	blendfunc blend
	rgbGen vertex
}

}

textures/spazz_ripwinter/damage5
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
polygonOffset	
{
	map textures/spazz_ripwinter/damage5.tga
	blendfunc blend
	rgbGen vertex
}

}








textures/spazz_ripwinter/headlight_corona //shader from crossing :P
{
  //  deformVertexes autoSprite //its 'most inportant"
qer_trans 0.40

   qer_editorimage textures/spazz_ripwinter/headlight_corona.tga
 surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 50	// check

    cull none
          {
          map textures/spazz_ripwinter/headlight_corona.tga
          blendFunc add
          }
}


textures/spazz_ripwinter/spazz_fog
{
	qer_editorimage textures/spazz_ripwinter/water.tga

	//qer_editorimage textures/sfx/fog_green.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.4
	fogparms ( .8 .8 .8 ) 2600
}



textures/spazz_ripwinter/spazz_foghull
{
q3map_globaltexture
surfaceparm noimpact
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm sky // !!SKY!!
skyparms textures/spazz_ripwinter/foghull/keres_foghull 0  -
//skyparms env/spazz_ripwinter/cloudtop 1024 -
}


textures/spazz_ripwinter/window_mask3
{
q3map_backShader  textures/spazz_ripwinter/window_mask3_back
	{
		map textures/spazz_ripwinter/shine_test3.jpg
		tcgen environment
		blendfunc add
		
	}
      {
            map textures/spazz_ripwinter/window_mask3.tga
		//alphaFunc GE128
		blendfunc blend
		rgbGen vertex

	}
}

textures/spazz_ripwinter/window_mask3_back
{
	{
		map textures/spazz_ripwinter/shine_test3.jpg
		tcgen environment
		blendfunc add
		
	}
      {
            map textures/spazz_ripwinter/window_mask3.tga
		blendfunc blend
		rgbGen vertex

	}
}


textures/spazz_ripwinter/tomb1
{
{
map textures/spazz_ripwinter/tomb1.jpg
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}




textures/spazz_ripwinter/stone2_ns
{
surfaceparm nonsolid
{
map textures/spazz_ripwinter/stone2.jpg
//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}





textures/spazz_ripwinter/stone5
{
q3map_forcemeta
{
map textures/spazz_ripwinter/stone5.jpg
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
}
}


textures/spazz_ripwinter/stone_trans
{
surfaceparm nonsolid
surfaceparm trans
{
map textures/spazz_ripwinter/stone.jpg
//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}




textures/spazz_ripwinter/spazz_mirror_real
{
	qer_editorimage textures/spazz_ripwinter/black.tga
	surfaceparm nolightmap
	portal
  	surfaceparm trans
	{
	map textures/spazz_ripwinter/ripwinter_mirror.tga
		blendfunc add
//GL_ONE GL_ONE_MINUS_SRC_ALPHA
//		depthWrite
		alphaGen portal 16

	}
  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
 	  	blendfunc add
 }
       
        

}

textures/spazz_ripwinter/spazz_mirror
{
	qer_editorimage textures/spazz_ripwinter/black.tga
	surfaceparm nolightmap
//	portal
	surfaceparm nonsolid
	surfaceparm trans
    	

  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
// 	  	blendfunc add
 }


}





textures/spazz_ripwinter/bloke2
{

qer_editorimage textures/spazz_ripwinter/bloke1a.tga

 	deformVertexes autoSprite2 //its 'most inportant"

surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans       
q3map_surfacelight 5
cull none
//  <div> <func> <base> <amplitude> <phase> <freq>
deformVertexes wave 1 sin 0.1 0.5 0 1
{
	animMap 10 textures/spazz_ripwinter/bloke1a.tga textures/spazz_ripwinter/bloke3a.tga textures/spazz_ripwinter/bloke4a.tga textures/spazz_ripwinter/bloke5a.tga textures/spazz_ripwinter/bloke6a.tga textures/spazz_ripwinter/bloke7a.tga textures/spazz_ripwinter/bloke8a.tga 
	blendFunc GL_ONE GL_ONE
//	rgbGen wave sin 0.75 0.05 0 5
//rgbGen wave inverseSawtooth 0 1 0 10
}

}












textures/spazz_ripwinter/clock_face2
{
	surfaceparm nolightmap
	surfaceparm trans

          {
            map textures/spazz_ripwinter/clock_face2.tga
//tcgen environment
		rgbgen vertex
	alphagen wave sawtooth 0.7 0.7 0 0.8
		blendfunc blend
          }


}

textures/spazz_ripwinter/copper_sides2
{
      {
            map textures/spazz_ripwinter/copper_sides2.tga
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spazz_ripwinter/hour_hand
{
	surfaceparm nolightmap

	cull none
          {
            map textures/spazz_ripwinter/hour_hand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA  	
	}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO


}
}


textures/spazz_ripwinter/minute_hand
{
	surfaceparm nolightmap


	cull none
          {
            map textures/spazz_ripwinter/minute_hand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA  	
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}


textures/spazz_ripwinter/cog
{
{
	map textures/spazz_ripwinter/cog.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/flame1
{
qer_lightimage textures/spazz_ripwinter/candle_light_image.jpg
qer_editorimage textures/spazz_ripwinter/flame1b.tga
deformVertexes autoSprite 
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans       
//q3map_surfacelight 600
cull none
{
	animMap 10 textures/spazz_ripwinter/flame1b.tga textures/spazz_ripwinter/flame2b.tga textures/spazz_ripwinter/flame3b.tga textures/spazz_ripwinter/flame4b.tga 
	//blendFunc GL_ONE GL_ONE
	blendFunc GL_SRC_ALPHA GL_ONE  //_MINUS_SRC_ALPHA  	
	//rgbGen wave inverseSawtooth 0 1 0 10
	rgbGen wave sin 0.75 0.05 0 5

}

}



textures/spazz_ripwinter/flames_big
{
qer_editorimage textures/spazz_ripwinter/flames1.tga
deformVertexes autoSprite2 
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans       
q3map_lightSubdivide 32
q3map_lightmapFilterRadius 0 2 //self other 
q3map_surfacelight 1500
cull none

{
	animMap 6 textures/spazz_ripwinter/flames1.tga textures/spazz_ripwinter/flames2.tga textures/spazz_ripwinter/flames3.tga textures/spazz_ripwinter/flames4.tga  textures/spazz_ripwinter/flames5.tga  
//	blendFunc blend //_MINUS_SRC_ALPHA  	
	blendFunc add //_MINUS_SRC_ALPHA  	
//	rgbGen wave inverseSawtooth 0 1 0 20
	rgbGen wave sin 0.8 0.2 0 3

}
}


textures/spazz_ripwinter/flames_big2
{
qer_editorimage textures/spazz_ripwinter/flames1.tga
deformVertexes autoSprite2 
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nonsolid
surfaceparm noimpact
surfaceparm trans      
q3map_lightSubdivide 32
q3map_lightmapFilterRadius 0 2 //self other 
 
q3map_surfacelight 1500
cull none
{
	animMap 6 textures/spazz_ripwinter/flames2.tga textures/spazz_ripwinter/flames3.tga textures/spazz_ripwinter/flames4.tga textures/spazz_ripwinter/flames5.tga  textures/spazz_ripwinter/flames1.tga  
//	blendFunc GL_SRC_ALPHA GL_ONE  //_MINUS_SRC_ALPHA  	
	blendFunc add	
	//rgbGen wave sawtooth 0 1 0 10
	rgbGen wave sin 0.6 0.4 0.3 1
//rgbGen wave <func> <base> <amp> <phase> <freq>

}

}





textures/spazz_ripwinter/window_masknew
{

q3map_backShader  textures/spazz_ripwinter/window_maskback
//q3map_lightmapBrightness 1.5

	qer_lightimage textures/spazz_ripwinter/stainglass.jpg
	qer_editorimage textures/spazz_ripwinter/windowmask.tga
	surfaceparm nomarks
	surfaceparm trans       
	nopicmip
	surfaceparm nolightmap
	sort 11
   //       {
     //       map textures/spazz_ripwinter/stainglass.jpg
//		blendfunc add
//		rgbGen vertex
//		}

          {
            map textures/spazz_ripwinter/windowmask.tga
		blendfunc blend
		rgbGen vertex
		}



}






textures/spazz_ripwinter/icicle
{
cull none
surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans       

          {
            clampmap textures/spazz_ripwinter/icicle.tga
		blendfunc blend
		}


}






textures/spazz_ripwinter/window_maskback
{
//q3map_lightmapBrightness 1.5

	qer_lightimage textures/spazz_ripwinter/stainglass.jpg
	qer_editorimage textures/spazz_ripwinter/windowmask.tga
	surfaceparm nomarks
	surfaceparm trans       
	nopicmip
	surfaceparm nolightmap

  //    {
    //        map textures/spazz_ripwinter/stainglass.jpg
//		rgbgen vertex
//		blendfunc add
//		}

          {
            map textures/spazz_ripwinter/windowmask.tga
		blendfunc blend	
		rgbGen vertex
		}

}



textures/spazz_ripwinter/window_mask2new
{
q3map_backShader  textures/spazz_ripwinter/window_mask2back
surfaceparm nomarks
surfaceparm trans       
qer_editorimage textures/spazz_ripwinter/windowmask2.tga
   sort 11       
          {
            map textures/spazz_ripwinter/windowmask2.tga
		blendfunc blend 
		//alphaFunc GE128
		rgbGen vertex
		}



}

textures/spazz_ripwinter/window_mask2back
{
q3map_lightmapBrightness 1.5

surfaceparm nomarks
surfaceparm trans       
nopicmip
qer_editorimage textures/spazz_ripwinter/windowmask2.tga
	


          {
            map textures/spazz_ripwinter/windowmask2.tga
		blendfunc blend
		rgbGen vertex
		}

}


textures/spazz_ripwinter/blacknosteps
{
surfaceparm nolightmap
surfaceparm nosteps
surfaceparm nodamage
surfaceparm slick
{
	map textures/spazz_ripwinter/black.tga
}

}


textures/spazz_ripwinter/black
{
surfaceparm nolightmap
{
	map textures/spazz_ripwinter/black.tga
}

}

textures/spazz_ripwinter/blackdecal
{
	qer_editorimage textures/spazz_ripwinter/filter.jpg
//polygonOffset
surfaceparm nolightmap
{
	map textures/spazz_ripwinter/filter.jpg
	blendfunc filter
}

}


textures/spazz_ripwinter/drawer
{
{
	map textures/spazz_ripwinter/drawer.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/playboy
{
{
	map textures/spazz_ripwinter/playboy.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/aluminium
{
surfaceparm nonsolid
{
	map textures/spazz_ripwinter/aluminium.jpg
}

  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/castle3_nlm
{
{
	map textures/spazz_ripwinter/castle3.jpg
	rgbgen const ( 0.1 0.1 0.1 )
}



}




textures/spazz_ripwinter/aluminium2
{
q3map_forcemeta
{
	map textures/spazz_ripwinter/aluminium2.jpg
}

  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/slide_stair
{
{
	map textures/spazz_ripwinter/slide_stair.jpg
	rgbgen vertex
}

  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


}


textures/spazz_ripwinter/wax
{
surfaceparm nonsolid
{
	map textures/spazz_ripwinter/wax.tga
	rgbgen vertex
}

}




textures/spazz_ripwinter/windowclip
{
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
//surfaceparm nodrop
}

textures/spazz_ripwinter/invisible_ladder
{
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
surfaceparm ladder
}






textures/spazz_ripwinter/2009_calendar
{
surfaceparm nonsolid
{
	map textures/spazz_ripwinter/2009_calendar.jpg 
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/calendar3
{
surfaceparm nonsolid
{
//	animMap 0.05 textures/spazz_ripwinter/2009_calendar.jpg textures/spazz_ripwinter/calendar3.jpg
	map textures/spazz_ripwinter/calendar3.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/2010_calendar
{
{
	map textures/spazz_ripwinter/2010_calendar.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/copper
{

q3map_backShader  textures/spazz_ripwinter/copper_back
{
map textures/spazz_ripwinter/copper.tga
 //blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
rgbGen identity
}


  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
         blendFunc GL_ONE GL_ONE
  }


{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}

textures/spazz_ripwinter/copper_back
{

{
map textures/spazz_ripwinter/copper.tga
rgbGen identity
}


  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
         blendFunc GL_ONE GL_ONE
  }


{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
}
}




textures/spazz_ripwinter/rope
{
surfaceparm ladder

{
	map textures/spazz_ripwinter/rope.tga

}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/mirror_border
{
surfaceparm nonsolid
surfaceparm trans
{
	map textures/spazz_ripwinter/mirror_border.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}




textures/spazz_ripwinter/christ
{
{
	map textures/spazz_ripwinter/christ.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/mary
{
{
	map textures/spazz_ripwinter/mary.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/tomb2
{
{
	map textures/spazz_ripwinter/tomb2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/gravel
{
{
	map textures/spazz_ripwinter/gravel.tga
}
{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/bench_snow
{
q3map_forcemeta
{
	map textures/spazz_ripwinter/snow2
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/snow2
{
q3map_forcemeta
{
	map textures/spazz_ripwinter/snow2
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/grave_back
{
{
	map textures/spazz_ripwinter/grave_back.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/tomb3
{
{
	map textures/spazz_ripwinter/tomb3.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/tomb10
{
q3map_forcemeta
{
	map textures/spazz_ripwinter/tomb10.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/tomb10_edge
{
q3map_forcemeta
{
	map textures/spazz_ripwinter/tomb10_edge.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/tomb8
{
//q3map_forcemeta
{
	map textures/spazz_ripwinter/tomb8.jpg
	rgbgen vertex
}

}


textures/spazz_ripwinter/planks
{
{
	map textures/spazz_ripwinter/planks.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/grave_border
{
{
	map textures/spazz_ripwinter/grave_border.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/grave_border2
{
{
	map textures/spazz_ripwinter/grave_border2.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/water_b
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm slick
	qer_editorimage textures/spazz_ripwinter/ice.tga
	
	
	{
		map textures/spazz_ripwinter/ice.tga
		blendfunc blend
	}
//  	{
  //       map textures/spazz_ripwinter/shine_test4.jpg
    //     tcgen environment
	//  	blendfunc add
	//}


	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	}



}


textures/spazz_ripwinter/water
{
//	surfaceparm trans
	surfaceparm slick
	qer_editorimage textures/spazz_ripwinter/ice.tga
	
	
	{
		map textures/spazz_ripwinter/ice.tga
//		blendfunc blend
		rgbgen vertex
	}
  	{
         map textures/spazz_ripwinter/shine_test4.jpg
         tcgen environment
	  	blendfunc add
	}


//	{
//	map $lightmap
//	blendFunc GL_DST_COLOR GL_ZERO
//	}



}


textures/spazz_ripwinter/water_nolightmap
{
//	surfaceparm trans
	surfaceparm slick
	qer_editorimage textures/spazz_ripwinter/ice.tga
	
	
	{
		map textures/spazz_ripwinter/ice.tga
//		blendfunc blend
		rgbgen vertex
	}
  	{
         map textures/spazz_ripwinter/shine_test4.jpg
         tcgen environment
	  	blendfunc add
	}


//	{
//	map $lightmap
//	blendFunc GL_DST_COLOR GL_ZERO
//	}



}


textures/spazz_ripwinter/water2
{
	surfaceparm water
	surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
fogparms ( .1 .1 .1 ) 512


	qer_editorimage textures/spazz_ripwinter/water.tga
	{
		map textures/spazz_ripwinter/water.tga
		blendfunc GL_DST_COLOR GL_ONE
	}

  	{
          map textures/spazz_ripwinter/shine_test3.tga
         	tcgen environment
		blendfunc add

  	}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}


}
















textures/spazz_ripwinter/brick6
{
{
	map textures/spazz_ripwinter/brick6.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/earth
{
{
	map textures/spazz_ripwinter/earth.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/watercaulk
{
qer_trans 0.40
qer_editorimage textures/common/watercaulk.tga
surfaceparm nodraw
//surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
//surfaceparm nomarks
surfaceparm water

}




textures/spazz_ripwinter/red
{
	surfaceparm nonsolid
	surfaceparm nonsolid
	surfaceparm trans
{
	map textures/spazz_ripwinter/red.tga
}


}





textures/spazz_ripwinter/blue
{
q3map_forcemeta	
{
	map textures/spazz_ripwinter/blue.tga
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}









textures/spazz_ripwinter/boat_window
{
qer_editorimage textures/spazz_ripwinter/boat_window.tga
cull none
surfaceparm trans
{
		map textures/spazz_ripwinter/boat_window.tga
		alphaFunc GE128
		rgbGen vertex
}

  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }
} 

textures/spazz_ripwinter/boat_window_open
{

qer_editorimage textures/spazz_ripwinter/boat_window_open.tga
cull none
surfaceparm nonsolid
surfaceparm trans
surfaceparm noimpact
//surfaceparm nolightmap

{
map textures/spazz_ripwinter/boat_window_open.tga
//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		alphaFunc GE128
		rgbGen vertex

}

  {
          map textures/spazz_ripwinter/shine_test2b.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }

//{
//map $lightmap
//blendfunc gl_dst_color gl_src_color
//}
} 






textures/spazz_ripwinter/barn
{
	
{
	map textures/spazz_ripwinter/barn.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/crate
{
	
{
	map textures/spazz_ripwinter/crate.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/roof2
{
{
	map textures/spazz_ripwinter/roof2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/plank
{
{
	map textures/spazz_ripwinter/plank.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/above_barn_door
{
{
	map textures/spazz_ripwinter/above_barn_door.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/barn_door
{
{
	map textures/spazz_ripwinter/barn_door.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/barn_door2
{
{
	map textures/spazz_ripwinter/barn_door2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/barn_door_side
{
{
	map textures/spazz_ripwinter/barn_door_side.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/roof_inside
{
{
	map textures/spazz_ripwinter/roof_inside.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/plank_roof
{
{
	map textures/spazz_ripwinter/plank_roof.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/hay
{
surfaceparm nodamage

{
	map textures/spazz_ripwinter/hay.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/hay2
{
surfaceparm nodamage
{
	map textures/spazz_ripwinter/hay2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/hay2_snow
{
surfaceparm nodamage
{
	map textures/spazz_ripwinter/snow4.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}










textures/spazz_ripwinter/glass
{
qer_editorimage textures/spazz_ripwinter/glass.tga
surfaceparm trans
surfaceparm nolightmap
qer_trans 0.40
//surfaceparm nonsolid

{
map textures/spazz_ripwinter/shine_test2.jpg
tcgen environment
blendFunc add
//blendFunc GL_SRC_COLOR GL_ONE

}

} 


textures/spazz_ripwinter/globeglass
{
surfaceparm trans
surfaceparm nolightmap
qer_trans 0.40

{
map textures/spazz_ripwinter/fallingsnow2.tga
tcmod scroll 0 -0.2
blendFunc blend
}
{
map textures/spazz_ripwinter/fallingsnow1.tga
tcmod scroll 0 -0.3
blendFunc blend
}


{
map textures/spazz_ripwinter/shine_interior.jpg
tcgen environment
blendFunc add
//blendFunc GL_SRC_COLOR GL_ONE

}

} 

textures/spazz_ripwinter/fallingsnow
{
qer_editorimage textures/spazz_ripwinter/fallingsnow2.tga
surfaceparm trans
surfaceparm nolightmap
//qer_trans 0.40

{
map textures/spazz_ripwinter/fallingsnow2.tga
tcmod scroll 0 -0.2
blendFunc blend
}
{
map textures/spazz_ripwinter/fallingsnow1.tga
tcmod scroll 0 -0.3
blendFunc blend
}
} 


textures/spazz_ripwinter/globeglass2
{
q3map_backShader  textures/spazz_ripwinter/globeglass2_back
surfaceparm trans
surfaceparm nolightmap
qer_trans 0.40
//cull back
//{
//map textures/spazz_ripwinter/glass.tga
//blendFunc filter
//}

{
map textures/spazz_ripwinter/fallingsnow2.tga
tcmod scroll 0 -0.2
blendFunc blend
}
{
map textures/spazz_ripwinter/fallingsnow1.tga
tcmod scroll 0 -0.3
blendFunc blend
}


{
map textures/spazz_ripwinter/shine_interior.jpg
tcgen environment
blendFunc add
//blendFunc GL_SRC_COLOR GL_ONE

}

} 


textures/spazz_ripwinter/globeglass2_back
{
surfaceparm trans
surfaceparm nolightmap
qer_trans 0.40
//cull back
{
map textures/spazz_ripwinter/glass.tga
blendFunc filter
}

{
map textures/spazz_ripwinter/fallingsnow2.tga
tcmod scroll 0 -0.2
blendFunc blend
}
{
map textures/spazz_ripwinter/fallingsnow1.tga
tcmod scroll 0 -0.3
blendFunc blend
}


{
map textures/spazz_ripwinter/reflect_sky.jpg
tcgen environment
blendFunc add
//blendFunc GL_SRC_COLOR GL_ONE

}

} 



textures/spazz_ripwinter/icepenguin
{
qer_editorimage textures/spazz_ripwinter/glass.tga
q3map_vertexScale 2.0

{
map textures/spazz_ripwinter/ice2.jpg
//blendfunc blend
rgbgen vertex
}
{
map textures/spazz_ripwinter/shine_castle.jpg
tcgen environment
blendFunc GL_DST_COLOR GL_ONE

}

} 



textures/spazz_ripwinter/glass2
{
qer_editorimage textures/spazz_ripwinter/glass2.tga
surfaceparm trans
surfaceparm nolightmap
 {
          map textures/spazz_ripwinter/shine_test2b.tga
          tcgen environment
		//rgbgen vertex
            blendFunc add
  }

//{
//map $lightmap
//blendFunc gl_dst_color GL_ZERO
//}
} 

textures/spazz_ripwinter/glass2b
{
qer_editorimage textures/spazz_ripwinter/glass2.tga
surfaceparm trans
surfaceparm nolightmap
cull none
 {
          map textures/spazz_ripwinter/shine_test2.jpg
          tcgen environment
		//rgbgen vertex
            blendFunc add
  }

//{
//map $lightmap
//blendFunc gl_dst_color GL_ZERO
//}
} 


textures/spazz_ripwinter/glass3
{
qer_editorimage textures/spazz_ripwinter/glass2.tga
surfaceparm trans
surfaceparm nolightmap
surfaceparm nonsolid
cull none

  {
          map textures/spazz_ripwinter/shine_test3.jpg
          tcgen environment
            blendFunc add
  }

} 
textures/spazz_ripwinter/corona_nl //shader from crossing :P
{
	qer_editorimage textures/spazz_ripwinter/corona.tga
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact

    cull none
          {
            clampmap textures/spazz_ripwinter/corona.tga
		rgbGen wave sin 0.5 0.5 0 2
            blendFunc GL_ONE GL_ONE
          }
}

textures/spazz_ripwinter/corona_nl2 //shader from crossing :P
{
	qer_editorimage textures/spazz_ripwinter/corona.tga
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact

    cull none
          {
            clampmap textures/spazz_ripwinter/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}



textures/spazz_ripwinter/corona //shader from crossing :P
{
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 150	// check
qer_lightimage textures/spazz_ripwinter/candle_light_image.jpg

    cull none
          {
            clampmap textures/spazz_ripwinter/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}

textures/spazz_ripwinter/corona2 {
    deformVertexes autoSprite //its 'most inportant"
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	q3map_surfacelight 750	// check
qer_lightimage textures/spazz_ripwinter/candle_light_image.jpg
    cull none
          {
            clampmap textures/spazz_ripwinter/corona2.jpg
            blendFunc GL_ONE GL_ONE
		//rgbGen wave <func> <base> <amp> <phase> <freq>
		rgbGen wave sin 0.5 0.5 0 2
          }
}



textures/spazz_ripwinter/tomb5
{
{
	map textures/spazz_ripwinter/tomb5.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/tomb_panel_special
{
qer_editorimage textures/spazz_ripwinter/tomb_panel.jpg
{
	map textures/spazz_ripwinter/tomb_panel.jpg
}
{
	map textures/spazz_ripwinter/shine_test2.jpg
	blendfunc add
	tcgen environment
	rgbGen wave sin 0.1 0.7 0 0.5
	tcMod scroll 4 0

}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/tomb_panel_ns
{
surfaceparm nonsolid
{
	map textures/spazz_ripwinter/tomb_panel.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/bobt
{
{
	map textures/spazz_ripwinter/bobt.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/morbidbitch
{
{
	map textures/spazz_ripwinter/morbidbitch.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/spikenard
{
{
	map textures/spazz_ripwinter/spikenard.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/freakshow
{
{
	map textures/spazz_ripwinter/freakshow.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}




textures/spazz_ripwinter/freakshow
{
{
	map textures/spazz_ripwinter/freakshow.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}




textures/spazz_ripwinter/fox
{
{
	map textures/spazz_ripwinter/fox.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/therealfubar
{
{
	map textures/spazz_ripwinter/therealfubar.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/tomb6
{
{
	map textures/spazz_ripwinter/tomb6.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/tomb7
{
{
	map textures/spazz_ripwinter/tomb7.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/gravel2
{
{
	map textures/spazz_ripwinter/gravel2.jpg
	

}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/leaves
{
	deformVertexes wave 256 sin 0 2 15 0.1
//	q3map_tessSize 256
	surfaceparm alphashadow
	surfaceparm trans
//	nopicmip
	surfaceparm nonsolid
	cull none
	qer_trans 0.40

	qer_editorimage textures/spazz_ripwinter/leaves.tga
	{
		map textures/spazz_ripwinter/leaves.tga
		alphaFunc GE128
		rgbGen vertex
	}
}




textures/spazz_ripwinter/grass2
{
{
	map textures/spazz_ripwinter/grass2.jpg
}
		
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/brick7
{
{
	map textures/spazz_ripwinter/brick7.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/hedge
{
surfaceparm nodamage
{
	map textures/spazz_ripwinter/hedge.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/hedge_snow
{
surfaceparm nodamage
q3map_forcemeta
{
	map textures/spazz_ripwinter/snow4.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/rope_ladder
{
	cull none
	surfaceparm ladder
	surfaceparm solid
	deformVertexes wave 256 sin 0 2 15 0.1
	//surfaceparm nolightmap
	surfaceparm trans


{
	map textures/spazz_ripwinter/rope_ladder.tga
	alphaFunc GE128
	rgbGen vertex
}
}



textures/spazz_ripwinter/plant
{
	surfaceparm alphashadow
q3map_backShader  textures/spazz_ripwinter/plant_back
	surfaceparm trans

{
	map textures/spazz_ripwinter/plant.tga
	alphaFunc GE128
	rgbGen vertex

}
}


textures/spazz_ripwinter/plant_back
{
	surfaceparm alphashadow
	surfaceparm trans

{
	map textures/spazz_ripwinter/plant.tga
	alphaFunc GE128
	rgbGen vertex

}
}


textures/spazz_ripwinter/plant2
{
	surfaceparm alphashadow
q3map_backShader  textures/spazz_ripwinter/plant2_back
	surfaceparm trans
//	deformVertexes wave 256 sin 0 2 15 0.1
{
	map textures/spazz_ripwinter/plant2.tga
	blendfunc blend
	rgbGen vertex
}

}

textures/spazz_ripwinter/plant2_back
{
	surfaceparm trans
//	deformVertexes wave 256 sin 0 2 15 0.1
{
	map textures/spazz_ripwinter/plant2.tga
	blendfunc blend
	rgbGen vertex
}

}

textures/spazz_ripwinter/playground
{
	
{
	map textures/spazz_ripwinter/playground.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/earth2
{
q3map_lightmapsamplesize 8
	
{
	map textures/spazz_ripwinter/earth2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}





textures/spazz_ripwinter/chain
{
	q3map_forceMeta
	cull none
	//surfaceparm ladder
	surfaceparm solid
 	deformVertexes autoSprite2 //its 'most inportant"
  // 	deformVertexes wave 256 sin 0 2 5 0.1
	//surfaceparm nolightmap
	surfaceparm trans


{
	map textures/spazz_ripwinter/chain.tga
	alphaFunc GE128
	rgbGen vertex
}

}


textures/spazz_ripwinter/decalbrick
{
	surfaceparm nolightmap
	surfaceparm trans
//	polygonOffset
{
	map textures/spazz_ripwinter/decalbrick.tga
	alphaFunc GE128
	rgbGen vertex
}

}




textures/spazz_ripwinter/chain2
{
	cull none
	//surfaceparm ladder
	surfaceparm solid
 	deformVertexes autoSprite2 //its 'most inportant"
   	deformVertexes wave 256 sin 0 2 5 0.1
	//surfaceparm nolightmap
	surfaceparm trans


{
	map textures/spazz_ripwinter/chain2.tga
	alphaFunc GE128
	rgbGen vertex
}

}


textures/spazz_ripwinter/chain3
{
	cull none
	surfaceparm ladder
	surfaceparm solid
 	deformVertexes autoSprite2 //its 'most inportant"
	surfaceparm trans


{
	map textures/spazz_ripwinter/chain3.tga
	alphaFunc GE128
	rgbGen vertex
}

}


textures/spazz_ripwinter/shed_inside
{
	
{
	map textures/spazz_ripwinter/shed_inside.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/shed_roof
{
	
{
	map textures/spazz_ripwinter/shed_roof.jpg
}
{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/shed_roof_nosnow
{
	
{
	map textures/spazz_ripwinter/shed_roof.jpg
}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/one_leg
{
	
{
	map textures/spazz_ripwinter/one_leg.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/cross
{
qer_editorimage 	textures/spazz_ripwinter/woodblock.jpg

{
	map textures/spazz_ripwinter/woodblock.jpg
}
{
	map textures/spazz_ripwinter/shine_test2.jpg
	blendfunc add
	tcgen environment
	rgbGen wave sin 0.1 0.9 0 0.5
	tcMod scroll 4 0

}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/seesaw
{
{
	map textures/spazz_ripwinter/seesaw.jpg
	rgbgen vertex
}
{
	map textures/spazz_ripwinter/shine_test2.jpg
	blendfunc add
	tcgen environment
	rgbGen wave sin 0.1 0.8 0 0.5
	tcMod scroll 5 0

}

}


textures/spazz_ripwinter/shed
{
q3map_forcemeta	
{
	map textures/spazz_ripwinter/shed.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/barge
{
q3map_forcemeta	
{
	map textures/spazz_ripwinter/barge.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/barge3
{
q3map_forcemeta	
{
	map textures/spazz_ripwinter/barge3.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/planter
{
	
{
	map textures/spazz_ripwinter/planter.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/castle
{
q3map_forcemeta
	{
	map textures/spazz_ripwinter/castle.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}


textures/spazz_ripwinter/brick_bridge
{
q3map_forcemeta
	{
	map textures/spazz_ripwinter/brick_bridge.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/castle2
{
	surfaceparm trans
	surfaceparm nonsolid
	qer_editorimage textures/spazz_ripwinter/castle3.jpg
	{
	map textures/spazz_ripwinter/castle3.jpg
blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen	wave sin 0.95 0.2 0 .5

}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/castle3hi
{
q3map_lightmapsamplesize 8
{
	map textures/spazz_ripwinter/castle3.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}



}




//textures/spazz_ripwinter/solidwater
//{
//	qer_editorimage textures/spazz_ripwinter/water2.tga
//	//q3map_surfacelight 70
//	{
//		map textures/spazz_ripwinter/water2.tga
//		blendfunc blend
//		tcMod scroll 4 0
//	}
//
  //	{
 //         map textures/spazz_ripwinter/shine_test2b.jpg
//          tcgen environment
//         blendFunc filter
//           blendFunc add
//	}
//}



textures/spazz_ripwinter/radio
{
{
	map textures/spazz_ripwinter/radio.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/radioside
{
{
	map textures/spazz_ripwinter/radioside.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/brick3small
{
{
	map textures/spazz_ripwinter/brick3small.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/roof_tilesmall
{
{
	map textures/spazz_ripwinter/roof_tilesmall.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}




textures/spazz_ripwinter/barnsmall
{
{
	map textures/spazz_ripwinter/barnsmall.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/ivy
{
	surfaceparm ladder
	surfaceparm alphashadow
	{
		map textures/spazz_ripwinter/ivy.tga
		alphaFunc GE128
		rgbGen vertex
	}


}
textures/spazz_ripwinter/ivy2
{
	surfaceparm ladder
	surfaceparm alphashadow
	nopicmip
	{
		map textures/spazz_ripwinter/ivy2.tga
		alphaFunc GE128
		rgbGen vertex
	}


}



textures/spazz_ripwinter/well
{
q3map_forcemeta
qer_editorimage textures/spazz_ripwinter/canal_brick.jpg
{
	map textures/spazz_ripwinter/canal_brick.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/well_snow
{
q3map_forcemeta
qer_editorimage textures/spazz_ripwinter/canal_brick.jpg
{
	map textures/spazz_ripwinter/canal_brick.jpg
}
{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/duck_head
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_head.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/duck_beak
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_beak.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_chest

{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_chest.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_body
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_body.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_tail
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_tail.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_back
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_back.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_side_feather
{

surfaceparm flesh
{
	map textures/spazz_ripwinter/duck_side_feather.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_lower_side
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_lower_side.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/duck_neck3
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_neck3.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_eye
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_eye.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/duck2
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/duck_back2
{

surfaceparm flesh
{
	map textures/spazz_ripwinter/duck_back2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/duck_back3
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_back3.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/duck_head2

{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_head2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/duck_eye2
{
surfaceparm flesh

{
	map textures/spazz_ripwinter/duck_eye2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}




textures/spazz_ripwinter/lilly
{
//	surfaceparm alphashadow
	surfaceparm nodlight
	surfaceparm nodamage
//	nopicmip
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/spazz_ripwinter/lilly.tga
		alphaFunc GE128
		rgbGen vertex
	}

//{
//map $lightmap
//blendFunc GL_DST_COLOR GL_ZERO
//}

}

textures/spazz_ripwinter/gate
{
//q3map_backShader  textures/spazz_ripwinter/gate_back
	surfaceparm playerclip
surfaceparm alphashadow

	{
		map textures/spazz_ripwinter/gate.tga
		blendfunc blend
		rgbGen vertex
	}

}

textures/spazz_ripwinter/gate_back
{
surfaceparm alphashadow
	surfaceparm playerclip
qer_editorimage textures/spazz_ripwinter/gate.tga
	{
		map textures/spazz_ripwinter/gate.tga
		alphaFunc GE128
		rgbGen vertex
	}

}

textures/spazz_ripwinter/gateedge
{
	surfaceparm playerclip

	{
		map textures/spazz_ripwinter/gateedge.jpg
		rgbGen vertex
	}

}



textures/spazz_ripwinter/gate2
{
q3map_backShader  textures/spazz_ripwinter/gate2_back

surfaceparm alphashadow
	surfaceparm playerclip

	{
		map textures/spazz_ripwinter/gate2.tga
		alphaFunc GE128
		rgbGen vertex
	}

}

textures/spazz_ripwinter/gate2_back
{
q3map_backShader  textures/spazz_ripwinter/gate2_back
surfaceparm alphashadow

	surfaceparm playerclip

	{
		map textures/spazz_ripwinter/gate2.tga
		alphaFunc GE128
		rgbGen vertex
	}

}




textures/spazz_ripwinter/dave
{
{
	map textures/spazz_ripwinter/dave.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/jasace
{
{
	map textures/spazz_ripwinter/jasace.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/benny
{
{
	map textures/spazz_ripwinter/benny.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}




textures/spazz_ripwinter/grass4
{
{
map textures/spazz_ripwinter/grass4.jpg
rgbGen identity
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}
textures/spazz_ripwinter/grass5
{
{
map textures/spazz_ripwinter/grass5.jpg
rgbGen identity
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}

textures/spazz_ripwinter/grass6
{
{
map textures/spazz_ripwinter/grass6.jpg
rgbGen identity
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}


textures/spazz_ripwinter/planks2
{
{
map textures/spazz_ripwinter/planks2.jpg
rgbGen identity
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}


textures/spazz_attack/graveyard/fog_caulk
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
	surfaceparm fog
	fogparms ( 0.2 0.2 0.2 ) 1024
}


textures/spazz_ripwinter/spazzfog
{
	surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	//surfaceparm nolightmap
	fogparms ( 0.2 0.2 0.2 ) 1024

	qer_trans 0.40
	qer_editorimage textures/spazz_ripwinter/water.tga


	{
		map textures/spazz_ripwinter/fog.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod turb 0.5 0.5 0.5 .1
		//tcMod scroll 1 0.5
	}


//{
//map $lightmap
//rgbGen identity
//blendFunc GL_DST_COLOR GL_ZERO
//}

}


//thanks null
textures/spazz_attack/graveyard/water_caulk
{
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
}



textures/spazz_ripwinter/icon
{
{
map textures/spazz_ripwinter/icon.jpg
rgbGen identity
}

{
map $lightmap
rgbGen identity
blendFunc GL_DST_COLOR GL_ZERO
//depthFunc equal
}
}


textures/spazz_ripwinter/wood_b
{
          {
            map textures/spazz_ripwinter/wood_b.jpg
          }
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}



textures/spazz_ripwinter/rock
{
          {
            map textures/spazz_ripwinter/rock.jpg
          }
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}


textures/spazz_ripwinter/playground_lift
{
          {
            map textures/spazz_ripwinter/playground_lift.jpg
          }
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}
}

textures/spazz_ripwinter/plank_roof2
{
{
	map textures/spazz_ripwinter/plank_roof2.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/mary_baby
{
{
	map textures/spazz_ripwinter/mary_baby.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/jesus
{
{
	map textures/spazz_ripwinter/jesus.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/joseph
{
{
	map textures/spazz_ripwinter/joseph.jpg
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
}

}
textures/spazz_ripwinter/destination
{
surfaceparm nolightmap
  //wave <div> <func> <base> <amplitude> <phase> <freq>
//	deformVertexes wave 256 sin 0 0.7 0.5 0.5
 //deformVertexes bulge <bulgeWidth> <bulgeHeight> <bulgeSpeed>
// deformVertexes bulge 2 2 3
//q3map_tessSize 128
	surfaceparm nonsolid
{
	map textures/spazz_ripwinter/destination.jpg
//rgbGen wave <func> <base> <amp> <phase> <freq>
	alphagen wave sin 0.3 0.3 0 0.5
	blendfunc blend
}

}



textures/spazz_ripwinter/map
{
	surfaceparm trans
	qer_trans 0.40
	surfaceparm nolightmap
	
{
	map textures/spazz_ripwinter/map.tga
	blendfunc blend
}
{
          map textures/spazz_ripwinter/shine_test5.jpg
          tcgen environment
            blendFunc add
  }


}

textures/spazz_ripwinter/spazz_snowclip
{
	qer_trans 0.10
//	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
//	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
}

textures/spazz_ripwinter/spazz_snowclip_nodamage
{
	qer_trans 0.10
	surfaceparm nodamage
	surfaceparm nodraw
	surfaceparm nolightmap
//	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
}





// normal snow


textures/spazz_ripwinter/snow
{
  	q3map_nonplanar
	q3map_terrain
   	q3map_shadeAngle 179
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
{
map textures/spazz_ripwinter/snow.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow_flat
{

qer_editorimage textures/spazz_ripwinter/snow.jpg
q3map_lightmapsamplesize 8

q3map_forcemeta
{
map textures/spazz_ripwinter/snow.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow_flat_dull
{
qer_editorimage textures/spazz_ripwinter/snow.jpg
{
map textures/spazz_ripwinter/snow.jpg
rgbgen const ( 0.42 0.45 0.48 )
}
}


textures/spazz_ripwinter/snow_withgrass
{

  	q3map_shadeAngle 179
q3map_terrain
   q3map_nonplanar
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

	
//density odds minscale maxscale minangle maxangle oriented
	q3map_surfaceModel models/spazz_ripwinter/ripwinter_grass.ase 150 0.1 0.1 0.2 0.0 0.3 1
{
map textures/spazz_ripwinter/snow.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_ripwinter/snow_withgrass2
{

  	q3map_shadeAngle 179
q3map_terrain
   q3map_nonplanar
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
//q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

	
//density odds minscale maxscale minangle maxangle oriented
	q3map_surfaceModel models/spazz_ripwinter/ripwinter_grass.ase 150 0.1 0.1 0.2 0.0 0.3 1
 q3map_lightmapsamplesize 4

{
map textures/spazz_ripwinter/snow.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow4far
{
q3map_forcemeta
   q3map_nonplanar
   	q3map_shadeAngle 179
 q3map_lightmapMergable
  // q3map_tcGen ivector ( 64 0 0 ) ( 0 64 0 )
   //q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	
{
map textures/spazz_ripwinter/snow4far.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_ripwinter/snow4_bright
{
{
map textures/spazz_ripwinter/snow4.jpg
rgbgen const ( 1.0 0.99 0.807 )
}

}



textures/spazz_ripwinter/snow4lm
{
q3map_forcemeta
{
map textures/spazz_ripwinter/snow4.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}



textures/spazz_ripwinter/snow_flat
{

qer_editorimage textures/spazz_ripwinter/snow.jpg
// q3map_lightmapsamplesize 8

q3map_forcemeta
{
map textures/spazz_ripwinter/snow.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}




textures/spazz_ripwinter/snow_c
{
	
{
map textures/spazz_ripwinter/snow.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_ripwinter/black_decal
{
	//decal
	//surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	polygonOffset	
qer_editorimage textures/spazz_ripwinter/black.jpg

{
	map textures/spazz_ripwinter/black.tga
}

}

textures/spazz_ripwinter/black_decal_trans
{
	//decal
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	polygonOffset	
qer_editorimage textures/spazz_ripwinter/black.tga

{
	map textures/spazz_ripwinter/black.tga
}

}




textures/spazz_ripwinter/snow_snow2
{

  	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	qer_editorimage textures/spazz_ripwinter/snowfootprints.jpg

{
	map textures/spazz_ripwinter/snow.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/snow_snow2b
{

  	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	qer_editorimage textures/spazz_ripwinter/snowfootprints.jpg
//	q3map_lightmapMergable

{
	map textures/spazz_ripwinter/snow.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}






textures/spazz_ripwinter/snow_snowfootprints
{

qer_editorimage textures/spazz_ripwinter/snow2.jpg
  	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	qer_editorimage textures/spazz_ripwinter/snowfootprints.jpg

//	q3map_lightmapMergable
{
	map textures/spazz_ripwinter/snow.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/snowfootprints.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}





textures/spazz_ripwinter/snow_snow3
{
	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

//density odds minscale maxscale minangle maxangle oriented
	q3map_surfaceModel models/spazz_ripwinter/ripwinter_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1
   qer_editorimage textures/spazz_ripwinter/snow3.jpg
	q3map_lightmapsamplesize 4

{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/snow3.tga //jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}





textures/spazz_ripwinter/snow_snow3b
{
	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

//density odds minscale maxscale minangle maxangle oriented
	q3map_surfaceModel models/spazz_ripwinter/ripwinter_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1
   qer_editorimage textures/spazz_ripwinter/snow3.jpg
//q3map_lightmapMergable
{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/snow3.tga //jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow_snow3c
{
	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

//density odds minscale maxscale minangle maxangle oriented
	q3map_surfaceModel models/spazz_ripwinter/ripwinter_grass.ase 100 0.1 0.1 0.2 0.0 0.3 1
   qer_editorimage textures/spazz_ripwinter/snow3.jpg
	q3map_lightmapsamplesize 4

{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/snow3.tga //jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}





textures/spazz_ripwinter/snow4far_cliff
{
	qer_editorimage textures/spazz_ripwinter/snow4far.jpg
//	q3map_terrain
 	q3map_nonplanar
	q3map_shadeAngle 179
	q3map_lightmapMergable
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.65 )

{
	map textures/spazz_ripwinter/snow4far.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/cliff.tga	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity
}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}





textures/spazz_ripwinter/snow_snowfootprints
{

qer_editorimage textures/spazz_ripwinter/snow2.jpg
  	q3map_nonplanar
   	q3map_shadeAngle 130
q3map_terrain
 	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
 	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	qer_editorimage textures/spazz_ripwinter/snowfootprints.jpg
	q3map_lightmapMergable


{
	map textures/spazz_ripwinter/snow.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/snowfootprints.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/snowfootprints_gravel
{
	qer_editorimage textures/spazz_ripwinter/snowfootprints.jpg


{
	map textures/spazz_ripwinter/snow.jpg
	rgbgen identity
}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}










textures/spazz_ripwinter/snow_snow2_ns
{
	q3map_lightmapsamplesize 16
   qer_editorimage textures/spazz_ripwinter/snow2.jpg
   q3map_nonplanar
q3map_terrain
//q3map_lightmapMergable
//	q3map_terrain

	q3map_shadeAngle 179
 //surfaceparm nonsolid
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )

q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )

{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
//  alphaGen vertex

}

 {
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 alphaGen vertex
 
    	
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}








textures/spazz_ripwinter/snow3_paving
{
q3map_nonplanar
   	q3map_shadeAngle 179
q3map_terrain
   qer_editorimage textures/spazz_ripwinter/snow3.jpg
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//q3map_lightmapMergable

{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/paving2_special.tga //jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//     alphaFunc GE128
 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow_castlestonesnow2
{
   qer_editorimage textures/spazz_ripwinter/castlestone_snow.jpg
q3map_terrain
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//q3map_lightmapMergable
//q3map_lightmapsamplesize 8
{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
}

 {
	map textures/spazz_ripwinter/castlestone_snow.jpg 	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow_castlestonesnow2b
{
   qer_editorimage textures/spazz_ripwinter/castlestone_snow.jpg
q3map_terrain
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//q3map_lightmapsamplesize 8
{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
}

 {
	map textures/spazz_ripwinter/castlestone_snow.jpg 	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}



textures/spazz_ripwinter/snow_castlestonesnow
{
q3map_terrain
   qer_editorimage textures/spazz_ripwinter/castlestone_snow.jpg
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//q3map_lightmapsamplesize 8
{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/castlestone_snow.jpg 	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//     alphaFunc GE128
 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}



textures/spazz_ripwinter/snow_earth2
{
   qer_editorimage textures/spazz_ripwinter/earth2.jpg
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
q3map_terrain
//q3map_lightmapMergable
// q3map_lightmapsamplesize 8
{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
}

 {
	map textures/spazz_ripwinter/earth2.jpg 	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/spazz_ripwinter/snow_earth2b
{
   qer_editorimage textures/spazz_ripwinter/earth2.jpg
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
q3map_terrain
q3map_lightmapsamplesize 8
{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity
}

 {
	map textures/spazz_ripwinter/earth2.jpg 	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}




















textures/spazz_ripwinter/floor5_castlestonesnow
{
//	q3map_lightmapsamplesize 16
   qer_editorimage textures/spazz_ripwinter/castlestone_snow.jpg
 //  q3map_nonplanar
 //  q3map_shadeAngle 170
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
q3map_terrain
//q3map_lightmapMergable
{

map textures/spazz_ripwinter/floor5.jpg
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/castlestone_snow.jpg 	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//     alphaFunc GE128
 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}




textures/spazz_ripwinter/paving_snow3
{
	// q3map_lightmapsamplesize 8
   qer_editorimage textures/spazz_ripwinter/snow3.jpg
   q3map_nonplanar
  	q3map_shadeAngle 179

q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
q3map_terrain
//q3map_lightmapMergable
{

map textures/spazz_ripwinter/paving2_special.tga
rgbGen identity
  //alphaGen vertex

}

 {
	map textures/spazz_ripwinter/snow.jpg //jpg	// Secondary
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//     alphaFunc GE128
 alphaGen vertex
   
   }

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}




textures/spazz_ripwinter/snow4_ns
{

qer_editorimage textures/spazz_ripwinter/snow4.jpg
q3map_shadeAngle 179
q3map_nonplanar
q3map_terrain
surfaceparm nonsolid
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )

{

map textures/spazz_ripwinter/snow4.jpg
rgbGen identity

}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/spazz_ripwinter/snow4_ns2
{
qer_editorimage textures/spazz_ripwinter/snow4.jpg
//q3map_lightmapMergable
q3map_terrain

//q3map_lightmapsamplesize 16
surfaceparm nonsolid
surfaceparm trans
//q3map_forcemeta
{

map textures/spazz_ripwinter/snow4.jpg
rgbGen identity

}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow4_ball
{
qer_editorimage textures/spazz_ripwinter/snow4.jpg
{

map textures/spazz_ripwinter/snow4.jpg
rgbGen vertex

}

}

textures/spazz_ripwinter/snow4_withgrass
{
	q3map_surfaceModel models/spazz_ripwinter/ripwinter_grass.ase 70 0.1 0.1 0.2 0.0 0.3 1
qer_editorimage textures/spazz_ripwinter/snow4.jpg
//q3map_lightmapMergable
q3map_terrain
	q3map_lightmapsamplesize 16
//	q3map_terrain
{

map textures/spazz_ripwinter/snow4.jpg
rgbGen identity

}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}


textures/spazz_ripwinter/snow4_nodamage
{
qer_editorimage textures/spazz_ripwinter/snow4.jpg
	q3map_lightmapsamplesize 16

surfaceparm nodamage
{

map textures/spazz_ripwinter/snow4.jpg
rgbGen identity

}

{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}
textures/spazz_ripwinter/snow_snow4
{
	q3map_terrain
   	q3map_shadeAngle 179
   qer_editorimage textures/spazz_ripwinter/snow4.jpg
   q3map_nonplanar
q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
//q3map_lightmapsamplesize 8

{

map textures/spazz_ripwinter/snow.jpg
rgbGen identity

}

 {
	map textures/spazz_ripwinter/snow4.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      rgbGen identity
      alphaGen vertex
   }

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}






textures/spazz_ripwinter/lamppost
{
q3map_ClipModel

{

map textures/spazz_ripwinter/lamppost.jpg
rgbGen vertex
}

}

textures/spazz_ripwinter/lamppost_nc
{
q3map_backShader  textures/spazz_ripwinter/lamppost_nc_back

qer_editorimage textures/spazz_ripwinter/lamppost.jpg
{

map textures/spazz_ripwinter/lamppost.jpg
rgbGen vertex
}

}

textures/spazz_ripwinter/lamppost_nc_back
{
q3map_forcemeta
qer_editorimage textures/spazz_ripwinter/lamppost.jpg
{

map textures/spazz_ripwinter/lamppost.jpg
rgbGen vertex
}

}


textures/spazz_ripwinter/grass01
{
q3map_backShader  textures/spazz_ripwinter/grass01_b
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	//cull none
	qer_alphafunc greater 0.5
	//wave <div> <func> <base> <amplitude> <phase> <freq>
	//deformVertexes wave 256 sin 0 0.3 0 0.1

	{
// borrowed from
//	sockorganic.shader for Q3 by Sock
//	Website : http://www.planetquake.com/simland/

	clampmap textures/spazz_ripwinter/grass01.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

//	alphaFunc GE128
//	rgbGen vertex
//	depthwrite
}

	{
		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}
textures/spazz_ripwinter/grass01_b
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	qer_alphafunc greater 0.5

	{
// borrowed from
//	sockorganic.shader for Q3 by Sock
//	Website : http://www.planetquake.com/simland/

	clampmap textures/spazz_ripwinter/grass01.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}

	{
		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}




// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/spazz_ripwinter/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_ripwinter/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_ripwinter/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_ripwinter/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_ripwinter/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/spazz_ripwinter/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}


textures/spazz_ripwinter/snow_edge
{
	surfaceparm trans       
//	nopicmip
	polygonOffset
	surfaceparm nonsolid
          {
            map textures/spazz_ripwinter/snow_edge.tga
alphaFunc GE128
//		blendfunc blend
//		depthwrite
//		rgbgen vertex
		}

{
map $lightmap
blendFunc filter
depthFunc equal
}

}

textures/spazz_ripwinter/snow_edge2
{
	surfaceparm nonsolid
	surfaceparm trans       
//	nopicmip
	polygonOffset
          {
            map textures/spazz_ripwinter/snow_edge2.tga
alphaFunc GE128
//		blendfunc blend
//		depthwrite
//		rgbgen vertex
		}

{
map $lightmap
blendFunc filter
depthFunc equal
}

}



textures/spazz_ripwinter/treebranch
{
q3map_backShader  textures/spazz_ripwinter/treebranchback
//	surfaceparm trans       
	nopicmip
	surfaceparm alphashadow
          {
            clampmap textures/spazz_ripwinter/treebranch.tga
		blendfunc blend
		rgbgen vertex
		}


}

textures/spazz_ripwinter/treebranchback
{
//q3map_forcemeta
	surfaceparm alphashadow
qer_editorimage textures/spazz_ripwinter/treebranch.tga
	surfaceparm trans       
	nopicmip
          {
            clampmap textures/spazz_ripwinter/treebranch.tga
//alphaFunc GE128
		blendfunc blend
//		depthwrite
		rgbgen vertex
		}

//{
//map $lightmap
//blendFunc filter
//depthFunc equal
//}

}




textures/spazz_ripwinter/carriage_blue_metal_track
{
qer_editorimage textures/spazz_ripwinter/carriage_blue_metal.jpg
//q3map_forceMeta 
{
map textures/spazz_ripwinter/carriage_blue_metal.jpg
rgbGen vertex

}
//{
//    map textures/spazz_ripwinter/shine2.jpg
//tcgen environment
//  	blendfunc add
//   }
}

textures/spazz_ripwinter/window
{
qer_editorimage textures/spazz_ripwinter/window.tga
surfaceparm nolightmap

{
		map textures/spazz_ripwinter/frosted.jpg
}

  {
          map textures/spazz_ripwinter/shine.jpg
          tcgen environment
          blendFunc add
  }
} 

textures/spazz_ripwinter/carriage_blue_metal_track
{
qer_editorimage textures/spazz_ripwinter/carriage_blue_metal.jpg
//q3map_forceMeta 
{
map textures/spazz_ripwinter/carriage_blue_metal.jpg
rgbGen vertex

}
//{
//    map textures/spazz_ripwinter/shine2.jpg
//tcgen environment
//  	blendfunc add
//   }
}
textures/spazz_ripwinter/window_outfacing
{
qer_editorimage textures/spazz_ripwinter/window.tga
{
		map textures/spazz_ripwinter/frosted.jpg
}


  {
          map textures/spazz_ripwinter/shine.jpg
          tcgen environment
          blendFunc add
  }
} 




textures/spazz_ripwinter/tree
{
q3map_ClipModel
q3map_forcemeta
  	q3map_nonplanar
   	q3map_shadeAngle 130
	q3map_lightmapMergable
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.95 )
q3map_lightmapAxis z 



{
	map textures/spazz_ripwinter/tree.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/tree_b
{
q3map_ClipModel
q3map_forcemeta
//	q3map_terrain
  	q3map_nonplanar
   	q3map_shadeAngle 179
q3map_lightmapMergable
q3map_lightmapAxis z 



{
	map textures/spazz_ripwinter/tree.jpg
	rgbgen identity
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}



textures/spazz_ripwinter/woodblock
{
q3map_forcemeta
//q3map_clipmodel
{
	map textures/spazz_ripwinter/woodblock.jpg
	rgbgen identity
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/125_under
{
{
	map textures/spazz_ripwinter/125_under.jpg
	rgbgen vertex
	blendfunc add
}
}


textures/spazz_ripwinter/br_logo
{
{
	map textures/spazz_ripwinter/br_logo.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/shiny_metal
{
{
map textures/spazz_ripwinter/metal.jpg
rgbgen vertex
blendfunc add
}
} 

textures/spazz_ripwinter/shiny_metal2
{
{
map textures/spazz_ripwinter/metal.jpg
rgbgen vertex
}
  {
          map textures/spazz_ripwinter/shine2.jpg
          tcgen environment
          blendFunc add
  }

} 


textures/spazz_ripwinter/roof
{
          {
            map textures/spazz_ripwinter/roof.jpg
		rgbgen vertex
		blendfunc add
          }
}


textures/spazz_ripwinter/windscreen
{
qer_editorimage textures/spazz_ripwinter/windscreen.tga
//q3map_forcemeta
{
		map textures/spazz_ripwinter/windscreen.tga
		rgbGen vertex
		blendfunc add
}
} 



textures/spazz_ripwinter/window2
{
qer_editorimage textures/spazz_ripwinter/window2.tga

{
		map textures/spazz_ripwinter/window2.tga
		rgbGen vertex
		blendfunc add
}

} 


textures/spazz_ripwinter/window_door
{
{
		map textures/spazz_ripwinter/window_door.tga
		rgbGen vertex
		blendfunc add
}

} 





textures/spazz_ripwinter/metal2
{
surfaceparm nolightmap

{
map textures/spazz_ripwinter/metal2.jpg
rgbgen vertex
}

  {
          map textures/spazz_ripwinter/shine2.jpg
          tcgen environment
          blendFunc add
  }

} 





textures/spazz_ripwinter/wheel_grey_noclip
{
qer_editorimage textures/spazz_ripwinter/wheel_grey.jpg
cull none
surfaceparm nolightmap
{
map textures/spazz_ripwinter/wheel_grey.jpg
rgbGen vertex
blendfunc add
}

 }

textures/spazz_ripwinter/window_mask_back
{
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm trans
surfaceparm nomarks
//surfaceparm nodrop
}





textures/spazz_ripwinter/shiny_glass_no_lightmap
{

	qer_trans 0.40

surfaceparm trans
surfaceparm nolightmap
//{
//map textures/spazz_ripwinter/glass.jpg
//}

  {
          map textures/spazz_ripwinter/shine2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


} 

textures/spazz_ripwinter/white_headlight
{
q3map_forcemeta
qer_editorimage textures/spazz_ripwinter/white.jpg

	surfaceparm nolightmap
	q3map_surfacelight 2150	

{
map textures/spazz_ripwinter/white.jpg
blendfunc add
}


} 

textures/spazz_ripwinter/red_headlight
{
q3map_forcemeta
	surfaceparm nolightmap
	q3map_surfacelight 150	

{
map textures/spazz_ripwinter/red_headlight.jpg
blendfunc add
}

} 

textures/spazz_ripwinter/driver_door
{
//q3map_forcemeta
qer_editorimage textures/spazz_ripwinter/driver_door.tga
{
		map textures/spazz_ripwinter/driver_door.tga
		blendfunc add
		rgbGen vertex
}
} 
textures/spazz_ripwinter/shiny_metal_decal
{
qer_editorimage textures/spazz_ripwinter/metal.jpg
surfaceparm nolightmap
polygonOffset
{
map textures/spazz_ripwinter/metal.jpg
rgbgen vertex
blendfunc add
}

} 

textures/spazz_ripwinter/56_white
{

{
map textures/spazz_ripwinter/56_white.jpg
blendfunc add
}

} 



textures/spazz_ripwinter/56_class
{
{
	map textures/spazz_ripwinter/56_class.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/bogie
{
{
	map textures/spazz_ripwinter/bogie.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/bogie_ns
{
{
	map textures/spazz_ripwinter/bogie.jpg
}
	{
		map $lightmap
		blendfunc filter
	}

}


textures/spazz_ripwinter/black_plastic
{
{
	map textures/spazz_ripwinter/black_plastic.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/56_light_grey
{
{
	map textures/spazz_ripwinter/56_light_grey.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/wheel_grey
{
{
	map textures/spazz_ripwinter/wheel_grey.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/wheel_rim
{
{
	map textures/spazz_ripwinter/wheel_grey.jpg
	rgbgen vertex
	blendfunc add
}
}


textures/spazz_ripwinter/56_light_red
{
{
	map textures/spazz_ripwinter/56_light_red.jpg
	rgbgen vertex
	blendfunc add
}
}
textures/spazz_ripwinter/56_yellow
{
{
	map textures/spazz_ripwinter/56_yellow.jpg
	rgbgen vertex
	blendfunc add
}
}
textures/spazz_ripwinter/grill
{
{
	map textures/spazz_ripwinter/grill.jpg
	rgbgen vertex
	blendfunc add
}
}
textures/spazz_ripwinter/grill2
{
qer_editorimage textures/spazz_ripwinter/grill.jpg

{
	map textures/spazz_ripwinter/grill.jpg
}
{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/orange
{
{
	map textures/spazz_ripwinter/orange.jpg
	rgbgen vertex
	blendfunc add
}
}
textures/spazz_ripwinter/black_nonsolid
{
{
	map textures/spazz_ripwinter/black.tga
	//rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/vent4
{
{
	map textures/spazz_ripwinter/vent4.jpg
	rgbgen vertex
	blendfunc add
}
}
textures/spazz_ripwinter/treadplate2
{
{
	map textures/spazz_ripwinter/treadplate2.jpg
	rgbgen vertex
	blendfunc add
}
}

textures/spazz_ripwinter/loop
{
surfaceparm trans

{
		map textures/spazz_ripwinter/loop.tga
		blendfunc add
		rgbGen vertex
}


} 






textures/spazz_ripwinter/intercity_logo2
{

{
map textures/spazz_ripwinter/intercity_logo2.jpg
rgbGen vertex
blendfunc add
}

} 

textures/spazz_ripwinter/intercity
{

{
map textures/spazz_ripwinter/intercity.jpg
rgbGen vertex
blendfunc add
}

} 



textures/spazz_ripwinter/carriage_blue_metal
{

{
map textures/spazz_ripwinter/carriage_blue_metal.jpg
rgbGen vertex
blendfunc add
}

} 

textures/spazz_ripwinter/yellow
{

{
map textures/spazz_ripwinter/yellow.jpg
rgbGen vertex
blendfunc add
}

} 

textures/spazz_ripwinter/yellow_roof
{

{
map textures/spazz_ripwinter/yellow_roof.jpg
rgbGen vertex
blendfunc add
}

} 

textures/spazz_ripwinter/yellow_tracks
{

{
map textures/spazz_ripwinter/yellow_tracks.jpg
rgbGen vertex
blendfunc add
}

} 
textures/spazz_ripwinter/engine_grill
{

{
map textures/spazz_ripwinter/engine_grill.jpg
rgbGen vertex
blendfunc add
}

} 


textures/spazz_ripwinter/headlight
{
surfaceparm nolightmap
{
	map textures/spazz_ripwinter/headlight.jpg
	rgbgen identity
}

	{
          map textures/spazz_ripwinter/shine_test2.jpg
		tcgen environment
		blendFunc add
	}

//{
//	map $lightmap
//	blendFunc GL_DST_COLOR GL_ZERO
//}

}

textures/spazz_ripwinter/rear_light	
{
surfaceparm nolightmap
{
	map textures/spazz_ripwinter/rear_light.jpg
}
}


textures/spazz_ripwinter/canon
{
q3map_forcemeta
{
	map textures/spazz_ripwinter/remote.jpg
	rgbgen identity
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/canon_snow
{
q3map_forcemeta
  	q3map_nonplanar
   	q3map_shadeAngle 75
	q3map_lightmapMergable
 //	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
//  	q3map_tcGen ivector ( 0 128 0 ) ( 0 0 128 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.95 )
q3map_lightmapAxis z 

{
	map textures/spazz_ripwinter/remote.jpg
	rgbgen identity
}

{
	map textures/spazz_ripwinter/snow2.jpg	// Secondary
     blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaGen vertex
	rgbgen identity

}

{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}






textures/spazz_ripwinter/telephonelight
{
q3map_surfacelight 440
polygonOffset	
surfaceparm nolightmap
{
map textures/spazz_ripwinter/telephonelight.jpg
}
} 

textures/spazz_ripwinter/telephone
{
	//decal
	surfaceparm trans
//	surfaceparm alphashadow
	surfaceparm nolightmap

q3map_backShader  textures/spazz_ripwinter/telephoneb 

	{
          map textures/spazz_ripwinter/shine2.jpg
		tcgen environment
		blendFunc add
	}

{
	map textures/spazz_ripwinter/telephone.tga
	alphaFunc GE128
	rgbGen vertex
//	depthwrite
}

}

textures/spazz_ripwinter/telephone_elsewhere
{
	//decal
	surfaceparm trans
	surfaceparm nolightmap
qer_editorimage textures/spazz_ripwinter/telephone.tga

q3map_backShader  textures/spazz_ripwinter/telephoneb 

	{
          map textures/spazz_ripwinter/shine2.jpg
		tcgen environment
		blendFunc add
	}

{
	map textures/spazz_ripwinter/telephone.tga
	alphaFunc GE128
	rgbGen vertex
//	depthwrite
}

}


textures/spazz_ripwinter/telephoneb
{
	surfaceparm trans
	surfaceparm nolightmap
{
	map textures/spazz_ripwinter/telephone.tga
	rgbGen vertex
	alphaFunc GE128
}

}

textures/spazz_ripwinter/telephone2
{
q3map_backShader  textures/spazz_ripwinter/telephone2b 
	surfaceparm trans
	surfaceparm nolightmap
{
          map textures/spazz_ripwinter/shine2.jpg
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

{
	map textures/spazz_ripwinter/telephone2.tga
	alphaFunc GE128
	rgbGen vertex
//	depthwrite
}

}


textures/spazz_ripwinter/telephone2_elsewhere
{
qer_editorimage textures/spazz_ripwinter/telephone2.tga

q3map_backShader  textures/spazz_ripwinter/telephone2b 
	surfaceparm trans
	surfaceparm nolightmap
{
          map textures/spazz_ripwinter/shine2.jpg
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

{
	map textures/spazz_ripwinter/telephone2.tga
	alphaFunc GE128
	rgbGen vertex
//	depthwrite
}

}


textures/spazz_ripwinter/telephone2b
{
	surfaceparm trans
	surfaceparm nolightmap
{
	map textures/spazz_ripwinter/telephone2.tga
	alphaFunc GE128
	rgbGen vertex
}

}


textures/spazz_ripwinter/telephone3
{
	//decal
	surfaceparm trans

{
	map textures/spazz_ripwinter/telephone3.tga
}

{
//		depthfunc equal
		map $lightmap
		blendfunc filter
	}
}



textures/spazz_ripwinter/van_front
{

   q3map_nonplanar
{
map textures/spazz_ripwinter/van_front.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}



textures/spazz_ripwinter/car_windows_opaque
{
qer_editorimage textures/spazz_ripwinter/windshield1.jpg

{
map textures/spazz_ripwinter/windshield1.jpg
blendFunc filter
}

  {
          map textures/spazz_ripwinter/shine_lorry.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


{
map $lightmap
blendfunc gl_dst_color gl_zero
}

} 



textures/spazz_ripwinter/car_windows_opaque2
{
qer_editorimage textures/spazz_ripwinter/windshield1.jpg

{
map textures/spazz_ripwinter/yellow.jpg
blendFunc filter
}

  {
          map textures/spazz_ripwinter/shine_lorry2.jpg
          tcgen environment
          blendFunc GL_ONE GL_ONE
  }


{
map $lightmap
blendfunc gl_dst_color gl_zero
}

} 








textures/spazz_ripwinter/grave2
{
//q3map_ClipModel
q3map_forcemeta
{
	map textures/spazz_ripwinter/grave2.jpg
//	rgbgen vertex
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/grave2_back
{
//q3map_ClipModel
q3map_forcemeta
{
	map textures/spazz_ripwinter/grave2_back.jpg
//	rgbgen vertex
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/grave2_end
{
//q3map_ClipModel
q3map_forcemeta
{
	map textures/spazz_ripwinter/grave2_end.jpg
//	rgbgen vertex
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}

textures/spazz_ripwinter/spazz_noimpact
{
	qer_trans 0.10
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm slick
	surfaceparm playerclip
	
}



textures/spazz_ripwinter/grave2_edge
{
//q3map_ClipModel
q3map_forcemeta
{
	map textures/spazz_ripwinter/grave2_edge.jpg
//	rgbgen vertex
}


{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
}

}


textures/spazz_ripwinter/grave8
{
//q3map_ClipModel
//q3map_forcemeta
{
	map textures/spazz_ripwinter/grave8.jpg
	rgbgen vertex
}



}




textures/spazz_ripwinter/treefar
{
    deformVertexes autoSprite //its 'most inportant"
	surfaceparm trans
nopicmip
sort 1
	surfaceparm nolightmap
{
	clampmap textures/spazz_ripwinter/treefar.tga
	blendfunc blend
	
}

}

textures/spazz_ripwinter/treefar2
{
q3map_clone textures/spazz_ripwinter/treefar
{
	clampmap textures/spazz_ripwinter/treefar2.tga
	blendfunc blend

	
}

}


textures/spazz_ripwinter/treefar3
{
q3map_clone textures/spazz_ripwinter/treefar
{
	clampmap textures/spazz_ripwinter/treefar3.tga
	blendfunc blend

	
}

}
textures/spazz_ripwinter/treefar4
{
q3map_clone textures/spazz_ripwinter/treefar
	
{
	clampmap textures/spazz_ripwinter/treefar4.tga
	blendfunc blend

	
}

}

textures/spazz_ripwinter/treefar5
{
q3map_clone textures/spazz_ripwinter/treefar
{
	clampmap textures/spazz_ripwinter/treefar5.tga
	blendfunc blend

	
}

}


